PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v1.0.0-rc2 »
- SDSS Utilities (`pydl.pydlutils`) »
- nw_arcsinh

# nw_arcsinh

pydl.pydlutils.rgbcolor.nw_arcsinh(colors, nonlinearity=3.0)

  Scales `colors` by a degree of nonlinearity specified by user.

  The input image must have zero background (i.e., it must already be background-subtracted).

  Parameters
    colors `ndarray`

      3D Array containing RGB image. The dimensions should be (X, Y, 3).

    nonlinearity `float`

      Amount of nonlinear scaling. If set to zero, no scaling will be performed (this is equivalent to linear scaling).

  Returns
    `ndarray`

      The scaled image.

  Raises
    `ValueError`

      If `colors` has the wrong shape.